package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairSystemMessages;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.SystemMessagePageVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairSystemMessagesService extends IService<RepairSystemMessages> {
    int insertRepairSystemMessages(RepairSystemMessages rns);

    int updateRepairSystemMessages(RepairSystemMessages rns);

    PageUtils<RepairSystemMessages> queryPageRepairSystemMessagess(int currentPage, int pageCount, String name);

    int deleteRepairSystemMessagesById(int id);

    RepairSystemMessages getRepairById(int id);

    List<RepairSystemMessages> getRepairs();

    boolean inserBatchSystemMessage(List<RepairSystemMessages> datas);

    PageUtils<SystemMessagePageVo> querySystemMessagePage(int currentPage, int pageCount, Integer userId);

    PageUtils<SystemMessagePageVo> queryPCSystemMessagePage(int currentPage, int pageCount, Integer userId, String createTime, int statu);

    int readAllManageMessage(int userId);

    int queryMessageUnreadCount(int userId);
}
